ADIG(1)

NAME
adig - print information collected from Domain Name System (DNS) servers

SYNOPSIS
adig [OPTION]... NAME...

DESCRIPTION

Send queries to DNS servers about NAME and print received information, where NAME is a valid DNS name (e.g. www.example.com, 1.2.3.10.in-addr.arpa).

This utility comes with the c-ares asynchronous resolver library.

OPTIONS

-c class
    Set the query class. Possible values for class are NY, CHAOS, HS, IN (default).

-d  Print some extra debugging output.

-f flag
    Add a flag. Possible values for flag are igntc, noaliases, norecurse, primary, stayopen, usevc.

-h, --help
    Display this help and exit.

-T port
    Use specified TCP port to connect to DNS server.

-s server
    Connect to specified DNS server, instead of the system's default one(s).

-t type
    Query records of specified type. Possible values for type are A (default), AAAA, AFSDB, ANY, AXFR, CNAME, GPOS, HINFO, ISDN, KEY, LOC, MAILA, MAILB, MB, MD, MF, MG, MINFO, MR, MX, NAPTR, NS, NSAP, NSAP_PTR, NULL, PTR, PX, RP, RT, SIG, SOA, SRV, TXT, URI, WKS, X25,

-U port
    Use specified UDP port to connect to DNS server.

-x  For an IPv4 -t PTR a.b.c.d lookup, query for
    d.c.b.a.in-addr.arpa. This more often gives correct names in the ANSWER.
    For an IPv6 -t PTR addr lookup, query for a.b.c....z.IP6.ARPA.

-xx As for -x and an IPv6 address, compact a.b.c....z.IP6.ARPA. into a RFC-2673 bit-string. This compacted bit-string form is not supported by many DNS-servers.

REPORTING BUGS
Report bugs to the c-ares mailing list:
https://lists.haxx.se/listinfo/c-ares

SEE ALSO

acountry(1), ahost(1).

COPYRIGHT
This utility is based on code/ideas contained in sofware written by Greg Hudson (ares) carrying the following notice:
Copyright 1998 by the Massachusetts Institute of Technology.
Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of M.I.T. not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. M.I.T. makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.
No further copyright claims are being made by the author(s) of this utility.